All Activity

This stream auto-updates     

  1. Yesterday
  2. Last week
  3. Earlier
  4. Zorro_X

    The CSRF protection key did not match

    @alexis : thankyou !
  5. alexis

    The CSRF protection key did not match

    You can modify those files directly on your server (just edit the already installed files). On my live test board I did an update through the application page (meaning that first I modified the necessary files in the .tar archive of the Rules application). But on my main board I am going to modify the files on the server, since I got some other small custom modifications on the Rules.
  6. Zorro_X

    The CSRF protection key did not match

    Hi, thankyou very much for that tip. Just a question : it should be done on the module files before installation or on the IPS files once installed ? (of course, mine is already installed, but I wonder if I need to modify and install it again or just modify the already installed thing)
  7. Gabriel Torres

    The CSRF protection key did not match

    @alexis Thanks. It worked like a charm. Just frustrated here because this is a paid app with renewal fees, so IMHO the developer should be able to fix this in a timely fashion... thanks!
  8. alexis

    CSRF error in IPS 4.5.0

    take a look at this post, this error is easy to fix:
  9. alexis

    The CSRF protection key did not match

    Don't worry guys, luckily this current issue is easy to fix! The only thing we need to do, is to add these lines into all php files in the "modules" folder of any Kevin's application, so it will start working again: /** * @brief Has been CSRF-protected */ public static $csrfProtected = TRUE; The lines should be added inside the first "class" section, lets see it on an picture below: On the left side is a new view, after the changes has been made, on the right side - is it was before (originally). This changes has to be made in the files, because it is a new IPS developers' requirement regarding the security. @Bluto @Dan @liquidfractal @pixeldude @xSeq2 @Zayon
  10. Zorro_X

    The CSRF protection key did not match

    Same here, it seems the "problem" appeared since the V4.5.4...
  11. alexis

    The CSRF protection key did not match

    This error appears every time by every of the four main Kevin's applications, when creating any rule, any rule set, any collab, any banks or currency or even a new path alias.
  12. Gabriel Torres

    The CSRF protection key did not match

    Hi @Kevin Carwile With the latest 4.5 series, when clicking to edit rules, I am getting: 2S119/1 The CSRF protection key did not match. This may indicate a plugin or theme is out of date. Please contact technical support for more information. Running IPS 4.5.4 with Rules 1.4.6 Thanks.
  13. Zorro_X

    4.5.x compatibility

    you must be sure of that kind of information before spreading a rumor...
  14. Dan

    4.5.x compatibility

    I heard he passed away from complications associated to the recent covid outbreak
  15. liquidfractal

    Has this project been abandoned?

    @pixeldude don't bother. Kevin has said he is discontinuing all support for IPS4 apps because he's basically got another position at some company somewhere. See this thread: Track back to read more of the comments. See also this recent thread: https://invisioncommunity.com/forums/topic/458590-kevin-carwile/ I suggest you make alternate arrangements as soon as possible to move your data out of these apps, and stop your subscription, as Kevin no longer cares about notifying people there's no further support (but he will gladly take your continued subscription money). Run fast and run far!
  16. pixeldude

    Has this project been abandoned?

    @Kevin Carwile Could you please let us know if there will be a 4.5 update? Thanks!
  17. liquidfractal

    4.5.x compatibility

    OK, but again - it's only a matter of time. What happens if/when major functionality is added to Gallery/Downloads/Blogs/Pages? Even if Collabs still works, that functionality isn't going to be supported. Ever. And how long do you want to wait until one day things go wrong (which will eventually happen)? Do you think Collabs will still work with IPS 5? 6? If changes in PHP affect Collabs? Anyway, I'm not trying to tell people what to do - I'm really not. I've expressed my opinion here; I've washed my hands of every one of Kevin's apps and am never coming back. Just want to help put things in perspective as someone who was learned from experience. I'd suggest people who want to stay on start thinking of alternatives, anyway. Good luck!
  18. Zorro_X

    4.5.x compatibility

    Sometimes you just need to test and see what happens, that's why most of us creates sandbox work & test copies, to validate thinks like that... Anyway, it will be interesting to know if we stop paying for the licence will the downloaded and installed module still continue to work ? (like in V4.4.X for example)
  19. liquidfractal

    4.5.x compatibility

    Yes, the problem is that if you move forward assuming that there might be "no need to upgrade" without the dev saying so, you're playing an uninsured lottery with your site content. Waiting to see how long it will be before something goes wrong.
  20. liquidfractal

    4.5.x compatibility

    With respect, I think this is beside the point. Aside from my belief that it would be unrealistic to expect IPS to collaborate wtih any one developer (even with such powerful apps as these), my valid complaint has nothing to do with Kevin's relationship with IPS - it has to do with the failed obligation to his paying customers. There's nothing stopping him from continuing development on these apps and making them available for purchase from this site - which, after all, is dedicated to the very apps we're talking about! However, not only has he chosen not to do so - he has left his customers in the dark. And I get it - priorities change, people get new jobs, etc. - however, I should not have to leave 6 messages across different platforms to be told that there will no longer be any development whatsoever, after the last message he released was that critical compatibility upgrades would be made. If you don't believe me when I tell you what Kevin told me (he said "it just doesn't make sense at this point" or something to that effect), proceed at your own risk. I'm here only to seek help on uninstalling Collabs, which is the only thing that won't go quietly. And I just turned 50 and I'm not a developer and have no time to waste (it's a waste for me) on doing something that isn't my chosen vocation.
  21. alexis

    4.5.x compatibility

    It is quite possible. It needs more time to test and investigate. Also, there are several applications created by Kevin, so probably not all of them will be completely compatible. Tests are needed.
  22. Zorro_X

    4.5.x compatibility

    nope, everything seems OK for me. Maybe another plug-in you're running ? Meanwhile I had the time to see that at least some of the rules managing members (in)activity are still working in the updated sandbox. So maybe there is no need to update (?). @liquidfractal : I think I understand Kevin's concern, he has developped a very useful set of modules that enhances quite well the basic IPB software. Unfortunately Invision seems to accuse him of all the possible bugs and issues appearing when one of those plug-ins are installed. In other words instead of collaborating with him, he seems deprecated and accused of all bad things that could happen. So how would you react in that situation ? But thankyou for the advice, maybe it is time to learn how to develop our own plug-ins...
  23. liquidfractal

    4.5.x compatibility

    I just wanted to notify everyone here that after 6+ messages across different sites and platforms, Kevin finally messaged me and essentially said that there will be no further updates of any kind. I advise you all to learn from my experience (since I paid a subscription fee not too long ago) and bail on all of these apps. Kevin is not concerned with notifying anyone or suggesting anyone stop paying him for nothing, so I suggest everyone reading this make other arrangements. While life happens and people's priorities change, I find Kevin's behaviour utterly unconscionable insofar as he shafted all of his paid subscribers and didn't bother communicating this to anybody. I won't be coming back.
  24. alexis

    4.5.x compatibility

    There should be an option to manually upload the xml/tar files of plugins and applications: When enabling the Rules, did you notice this kind of error in your ACP? 2S119/1 The CSRF protection key did not match. This may indicate a plugin or theme is out of date. Please contact technical support for more information.
  25. Zorro_X

    4.5.x compatibility

    Hi, Today I've tried to install the 4.5.2 version in a sandbox copy of my community. The big news is for the plug-ins updates you can only use their marketplace, knowing that Invision does not appreciate much the Rules engines (they seem to be used to say the bugs came from the rules when the plug-in is installed), it may not be updated very soon... (once I had a bug, then write to Invision support, they have sent me here telling me it was the plug-in rules fault, here I've been sent back to invision... The bug seems to have been solved "by itself" with new IPS updates (no rules updates meantime)... ) The good news is you can force the activation of the plug-in even without updating it. I've not yet tested to see if it works well (or only if it just works), but once activated there are no obvious bugs appearing...
  26. liquidfractal

    4.5.x compatibility

    Who knows? @Kevin Carwile doesn't seem interested in responding to the needs of his customers. I wouldn't recommend trying any of these apps with 4.5.x unless you have a test install. Quite frankly this is not inspiring confidence and as a customer I feel like I've been kicked to the curb. I have left update inquiries on every single one of Kevin's project threads and have heard nothing but crickets.
  27. Zorro_X

    4.5.x compatibility

    Hi guys, I've not yet tested 4.5.x. Does it means the current automatic rules version is no more compatible (at all) with this new release ?
  28. liquidfractal

    4.5.x compatibility

    As all of us here have paid (and have continued to pay) good money for renewing these apps, I'm disappointed that we aren't getting even a brief response with some idea as to when (if?) 4.5.x updates are happening. Some of us (myself anyway) rely on these apps for business.
  1. Load more activity